# Module `PICKUPTASK`

A PICKUPTASK orchestrates the loading of CARGO at a specific landing zone.

## Global(s)

PICKUPTASK |

## Type `PICKUPTASK`

PICKUPTASK:AddCargoMenus(Client, Cargos, TransportRadius) |
PICKUPTASK.ClassName |
PICKUPTASK:FromZone(LandingZone) |
PICKUPTASK.GoalVerb |
PICKUPTASK:HasFailed(ClientDead) |
PICKUPTASK:InitCargo(InitCargos) |
PICKUPTASK:LoadCargo(LoadCargos) |
PICKUPTASK.New(table, CARGO_TYPE, number, self, CargoType, OnBoardSide) | Creates a new PICKUPTASK.
PICKUPTASK:RemoveCargoMenus(Client) |
PICKUPTASK.TEXT |

## Global(s)

#PICKUPTASK PICKUPTASK

## Type `PICKUPTASK`

### Field(s)

PICKUPTASK:AddCargoMenus(Client, Cargos, TransportRadius)

  ### Parameters

  - `Client` :

  - `Cargos` :

  - `TransportRadius` :

#string PICKUPTASK.ClassName

PICKUPTASK:FromZone(LandingZone)

  ### Parameter

  - `LandingZone` :

#string PICKUPTASK.GoalVerb

PICKUPTASK:HasFailed(ClientDead)

  ### Parameter

  - `ClientDead` :

PICKUPTASK:InitCargo(InitCargos)

  ### Parameter

  - `InitCargos` :

PICKUPTASK:LoadCargo(LoadCargos)

  ### Parameter

  - `LoadCargos` :

PICKUPTASK.New(table, CARGO_TYPE, number, self, CargoType, OnBoardSide)

  Creates a new PICKUPTASK.

  ### Parameters

  - `table` : string,...}|string LandingZones Table of Zone names where Cargo is to be loaded.

  - `CARGO_TYPE` : CargoType Type of the Cargo. The type must be of the following Enumeration:..

  - `number` : OnBoardSide Reflects from which side the cargo Group will be on-boarded on the Carrier.

  - `self` :

  - `CargoType` :

  - `OnBoardSide` :

PICKUPTASK:RemoveCargoMenus(Client)

  ### Parameter

  - `Client` :

PICKUPTASK.TEXT